

#ifndef _IRQ_H_
#define _IRQ_H_


/*
*********************************************************************************************************
*                                       installIrq
*
* Description : Install interrupt handler
*
* Arguments   : Interrupt number, interrupt handler address, interrupt priority
*
* Returns     : true or false, return false if IntNum is out of range
*********************************************************************************************************
*/

UINT16 installIrq( UINT16 IntNumber, void *HandlerAddr, UINT16 Priority );

/*
*********************************************************************************************************
*                                       installFiq
*
* Description : Install fast interrupt handler
*
* Arguments   : Interrupt number
*
* Returns     : none
*********************************************************************************************************
*/


void installFiq( UINT16 IntNumber );


/*
*********************************************************************************************************
*                                       uninstallIrq
*
* Description : Uninstall interrupt handler
*
* Arguments   : Interrupt number
*
* Returns     : none
*********************************************************************************************************
*/

void uninstallIrq( UINT16 IntNumber );

/*
*********************************************************************************************************
*                                       uninstallFiq
*
* Description : UnInstall fast interrupt handler
*
* Arguments   : Interrupt number
*
* Returns     : none
*********************************************************************************************************
*/


void uninstallFiq( UINT16 IntNumber );

#endif
